Subject: Re: [PATCH 1/3] Phonet: Netlink factorization and cleanup

From: Rémi Denis-Courmont <[email-masked]>
Date: Wed, 24 Sep 2008 19:44:56 +0300

Le mercredi 24 septembre 2008 19:25:07 Arnaldo Carvalho de Melo, vous avez écrit :
> Em Wed, Sep 24, 2008 at 07:11:38PM +0300, Remi Denis-Courmont escreveu:
> > From: Rémi Denis-Courmont <[email-masked]>
> >
> > Signed-off-by: Rémi Denis-Courmont <[email-masked]>
> > ---
> >  net/phonet/pn_netlink.c |   91
> > ++++++++++++++++++----------------------------- 1 files changed, 35
> > insertions(+), 56 deletions(-)
> >
> > diff --git a/net/phonet/pn_netlink.c b/net/phonet/pn_netlink.c
> > index b1ea19a..b1770d6 100644
> > --- a/net/phonet/pn_netlink.c
> > +++ b/net/phonet/pn_netlink.c
> > @@ -54,11 +54,16 @@ errout:
> >  		rtnl_set_sk_err(dev_net(dev), RTNLGRP_PHONET_IFADDR, err);
> >  }
> >
> > -static int newaddr_doit(struct sk_buff *skb, struct nlmsghdr *nlm, void
> > *attr) +static const struct nla_policy ifa_phonet_policy[IFA_MAX+1] = {
>
> since you are changing the above line, please use [IFA_MAX + 1] for
> consistency

Fine with me. But but... does that mean I should patch these too?

% grep -re 'IFA_MAX *+' net/
net/decnet/dn_dev.c:static const struct nla_policy dn_ifa_policy[IFA_MAX+1] = {
net/decnet/dn_dev.c:    struct nlattr *tb[IFA_MAX+1];
net/decnet/dn_dev.c:    struct nlattr *tb[IFA_MAX+1];
net/ipv6/addrconf.c:static const struct nla_policy ifa_ipv6_policy[IFA_MAX+1] = {
net/ipv6/addrconf.c:    struct nlattr *tb[IFA_MAX+1];
net/ipv6/addrconf.c:    struct nlattr *tb[IFA_MAX+1];
net/ipv6/addrconf.c:    struct nlattr *tb[IFA_MAX+1];
net/ipv4/devinet.c:static const struct nla_policy ifa_ipv4_policy[IFA_MAX+1] = {
net/ipv4/devinet.c:     struct nlattr *tb[IFA_MAX+1];
net/ipv4/devinet.c:     struct nlattr *tb[IFA_MAX+1];

(I wish I had to learn how to add it to checkpatch, as with && at EOL)

-- 
Rémi Denis-Courmont
http://www.remlab.net/